# ============LICENSE_START=======================================================
#  Copyright (C) 2018-2020 Nordix Foundation.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

$env:GEODE_HOME = "${ENV:GEODE_SERVER_PATH}\apache-geode-${ENV:GEODE_SERVER_VERSION}"

Write-Host "`n*** Generate Visual Studio 2019 geode-natvie project ***`n"
cmake -B geode-native-build -G "Visual Studio 16 2019" -T"host=x64,version=${ENV:MSVC_TOOLSET_VERSION}" geode-native

Write-Host "`n*** Build the CLI New Integration tests ***`n"
cmake --build geode-native-build --target javaobject -- /m
cmake --build geode-native-build --target Apache.Geode.IntegrationTests2 -- /m

Write-Host "`n*** Execute CLI New Integration tests ***`n"
geode-native-build\clicache\packages\xunit.runner.console.2.4.0\tools\net47\xunit.console.exe geode-native-build\clicache\integration-test2\Debug\Apache.Geode.IntegrationTests2.dll -parallel all -verbose
